### Method

# Secret Service get_collections

#### Declaration [src]

    GList*
    secret_service_get_collections (
      SecretService* self
    )

#### Description [src]

Get a list of `SecretCollection` objects representing all the collections in the secret service.

If the `SECRET_SERVICE_LOAD_COLLECTIONS` flag was not specified when initializing `SecretService` proxy object, then this method will return `NULL`. Use `secret_service_load_collections()` to load the collections.

Gets property | `Secret.Service:collections`

#### Return value

Type: A list of `SecretCollection*`

A list of the collections in the secret service.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.